Subject: Re: bug#20742: 24.5; [PATCH] python.el: fix close paren indentation to match pep8

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Sep 2020 20:59:01 +0200

Noam Postavsky <[email-masked]> writes:

> I managed to get this applied; I've replaced the python-test.el
> modifications, partly because they're written as updates to the existing
> tests which makes them a bit harder to follow, and partly to make more
> clear that the patch is below the 15 line copyright limit.
>
> I'll push to master in a week or so if there are no further comments.

Looks like this was done, so I'm closing this bug report.

commit 3fc1d77a43818666542740fc34167c1faee30d5f
Author:     Tommi Komulainen <[email-masked]>
AuthorDate: Fri Jun 19 18:53:52 2015 +0200
Commit:     Noam Postavsky <[email-masked]>
CommitDate: Sun Apr 28 16:45:13 2019 -0400

    python.el: Fix close paren indentation to match pep8 (Bug#20742)
    
    * lisp/progmodes/python.el (python-indent--calculate-indentation):
    When opening paren is followed by newline the closing paren should
    follow the current indentation.  Otherwise the closing paren should be
    aligned with the opening paren.  This fixes the latter case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no